Function
extractTagValue
Extract and cast "atomic" value from tags string with index idx.
extractTagValue(dest, tags, idx)
Include Headers
seqan/bam_io.h
Parameters

dest | The variable to write the value to. Remarks: The value is first copied in a variable of the type indicated in the BAM file. Then it is cast into the type of dest.
tags | BamTagsDict object. Types: BamTagsDict

Remarks
The function only works for atomic types such as int, not for char* or arrays.
See BamTagsDict for an example.
Return Values
bool, indicating the success.
Member of
BamTagsDict
See Also
getTagValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57